Bug 125082 - create transaction and rollback
create transaction and rollback
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/R&D (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan Bloom
Fanny Augustin
:
Depends On:
Blocks: rhnMilestone1
  Show dependency treegraph
 
Reported: 2004-06-02 12:16 EDT by Ryan Bloom
Modified: 2007-04-18 13:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-24 15:57:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Bloom 2004-06-02 12:16:58 EDT
Anyplace the persistence code needs to commit to the database, we need
to create a new transaction and rollback if the code fails.
Comment 1 Ryan Bloom 2004-06-03 11:52:37 EDT
we now use nested transactions and rollbacks in our persistence layer.

Note You need to log in before you can comment on or make changes to this bug.